%global momorel 2
%global qtver 3.3.5
%global kdever 3.5.4
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0

Name: kdeutils
Summary: K Desktop Environment - Utilities
Version: %{kdever}
Release: %{momorel}m
Group: Applications/System
License: GPL
URL: http://www.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 e24cd91576db3d2414fb30cab47e44e5
## mirror site in Japan.
# %%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 e24cd91576db3d2414fb30cab47e44e5
Patch0: %{name}-3.4.3-force-snmp.patch
Patch1: %{name}-3.5.3-extutil.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}, zip, unzip
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}, kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: libpng-devel >= 1.2.5
BuildPreReq: xmms-devel
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: perl
BuildPreReq: net-snmp-devel >= 5.3.1.0
BuildPreReq: desktop-file-utils

%description
The kdeutils package includes various utility programs for the K
Desktop Environment (KDE), including: 

   ark, a tar/gzip archive manager
   kab, an address book
   karm, a personal time tracker
   kcalc, a scientific calculator
   kedit, a simple text editor
   kfloppy, a floppy formatting tool
   khexedit, a hex editor
   kjots, a note taking tool
   kljettool, an HP printer configuration tool
   klpq, a print queue manager
   knotes, sticky notes for the desktop
   kpm, a process manager similar to top
   ...
etc.

%prep
%setup -q

%patch0 -p1 -b .snmp

make -f admin/Makefile.common cvs

%patch1 -p1 -b .extutil

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CXXFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG -fno-check-new" CFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make -C kfloppy

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# move desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Utilities/superkaramba.desktop

# Make symlinks relative
cd %{buildroot}%{_docdir}/HTML/en
for i in *; do
	[ -d $i -a -L $i/common ] && ln -sf ../common $i
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%{_bindir}/*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/ark
%{_datadir}/apps/irkick
%{_datadir}/apps/kcalc
%{_datadir}/apps/kcharselect
%{_datadir}/apps/kconf_update/*.upd
%{_datadir}/apps/kdf
%{_datadir}/apps/kedit
%{_datadir}/apps/kgpg
%{_datadir}/apps/khexedit
%{_datadir}/apps/khexedit2part
%{_datadir}/apps/kicker/*/*.desktop
%{_datadir}/apps/kjots
%{_datadir}/apps/klaptopdaemon
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/kregexpeditor
%{_datadir}/apps/ksim
%{_datadir}/apps/kwalletmanager
%{_datadir}/apps/profiles
%{_datadir}/apps/remotes
%{_datadir}/apps/superkaramba
%{_datadir}/autostart/*.desktop
%{_datadir}/config/*rc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/KRegExpEditor/
%{_datadir}/doc/HTML/en/ark
%{_datadir}/doc/HTML/en/irkick
%{_datadir}/doc/HTML/en/kcalc
%{_datadir}/doc/HTML/en/kcharselect
%{_datadir}/doc/HTML/en/kcmlirc
%{_datadir}/doc/HTML/en/kcontrol/kcmlowbatcrit
%{_datadir}/doc/HTML/en/kcontrol/kcmlowbatwarn
%{_datadir}/doc/HTML/en/kcontrol/laptop
%{_datadir}/doc/HTML/en/kcontrol/powerctrl
%{_datadir}/doc/HTML/en/kdf
%{_datadir}/doc/HTML/en/kedit
%{_datadir}/doc/HTML/en/kfloppy
%{_datadir}/doc/HTML/en/kgpg
%{_datadir}/doc/HTML/en/khexedit
%{_datadir}/doc/HTML/en/kinfocenter/blockdevices
%{_datadir}/doc/HTML/en/kjots
%{_datadir}/doc/HTML/en/ksim
%{_datadir}/doc/HTML/en/ktimer
%{_datadir}/doc/HTML/en/kwallet
%{_datadir}/doc/HTML/en/superkaramba
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/mimelnk/application/x-superkaramba.desktop
%{_datadir}/services/kded/*.desktop
%{_datadir}/services/kmilo
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/kmilo

%{_includedir}/ksim
%{_includedir}/*.h
%{_libdir}/*so.?

%changelog
* Wed Aug  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-2m)
- rebuild against net-snmp 5.3.1.0

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4
- add kdeutils-3.5.3-extutil.patch, thanks to futoshi-san

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Mon Nov 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- move superkaramba.desktop from %%{_datadir}/applnk to %%{_datadir}/applications/kde
- BuildPreReq: desktop-file-utils
- disable hidden visibility

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- remove acpi.patch
- add %%post and %%postun

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- update force-snmp.patch

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure
- import kdeutils-3.4.2-acpi.patch from Fedora Core devel
 +* Thu Sep 08 2005 Than Ngo <than@redhat.com> 6:3.4.2-2
 +- backport upstream patch to support /sys/power/state interface, #135623

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: kdebase, net-snmp-devel

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec for rpm 4.2.

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files 

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Jan 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4
- rewrite %%files

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   changes are:
     kedit: Save immediately when Settings/Save Settings is called.
     khexedit: Fixed insertion of local files.

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
   klaptopdaemon: Fix serious stalling problems on GNU/Linux with ACPI
   kcalc: Now a KMainWindow instead of a KDialog to fix various UI inconsistencies
   kdf: Support escapes in fstab
 
* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Tue Jun 11 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.1-2k)
  update to 3.0.1

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Thu Nov  8 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-10k)
- nigirisugi.
- revised spec file.

* Fri Nov 02 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- avoid conflict man... (TT)

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- don't use file.lst (jitterbug #873)

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Thu Sep  6 2001 Toru Hoshina <t@kondara.org>
- (2.2.0-4k)
- avoid conflicting efax man.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.1.1-3k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-12k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-8k]
- backport 2.0.1-9k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild aganst qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- add GIF Support switch.
- release.

* Fri Oct 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modified Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Tue Jun 20 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
